Sazabi
APIProjects

Update issue detection settings

Enable or disable issue detection without changing customer automations. User credentials require settings:write permission. Pass the latest settings revision to prevent overwriting a concurrent edit.

PATCH https://api.sazabi.com/v1/projects/{projectId}/issue-detection

PATCH
/projects/{projectId}/issue-detection

Path Parameters

projectId*string

Project ID to fetch.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/issue-detection" \  -H "Content-Type: application/json" \  -d '{    "enabled": true,    "expectedRevision": 0  }'
{  "enabled": true,  "revision": 0,  "updatedAt": "2019-08-24T14:15:22Z",  "updatedBy": {    "actor": "user",    "userId": "string"  }}